diff --git a/arch/arm64/boot/dts/ti/k3-am62a7-sk.dts b/arch/arm64/boot/dts/ti/k3-am62a7-sk.dts
index 0b101d989..58a1d820a 100644
--- a/arch/arm64/boot/dts/ti/k3-am62a7-sk.dts
+++ b/arch/arm64/boot/dts/ti/k3-am62a7-sk.dts
@@ -194,6 +194,29 @@ vddshv_sdio: regulator-5 {
 			 <3300000 0x1>;
 	};
 
+	wlan_lten: regulator-6 {
+		compatible = "regulator-fixed";
+		regulator-name = "wlan_lten";
+		regulator-min-microvolt = <3300000>;
+		regulator-max-microvolt = <3300000>;
+		vin-supply = <&vcc_3v3_sys>;
+		gpios = <&exp2 23 GPIO_ACTIVE_HIGH>;
+		enable-active-high;
+	};
+
+	wlan_en: regulator-7 {
+		compatible = "regulator-fixed";
+		regulator-name = "wlan_en";
+		regulator-min-microvolt = <1800000>;
+		regulator-max-microvolt = <1800000>;
+		vin-supply = <&wlan_lten>;
+		enable-active-high;
+		gpios = <&main_gpio0 71 GPIO_ACTIVE_HIGH>;
+		pinctrl-names = "default";
+		pinctrl-0 = <&wlan_en_pins_default>;
+	};
+
+
 	leds {
 		compatible = "gpio-leds";
 		pinctrl-names = "default";
@@ -348,6 +371,12 @@ AM62AX_IOPAD(0x01d4, PIN_INPUT, 7) /* (C15) UART0_RTSn.GPIO1_23 */
 		>;
 	};
 
+	wlan_en_pins_default: wlan-en-pins-default {
+		pinctrl-single,pins = <
+			AM62AX_IOPAD(0x124, PIN_OUTPUT, 7) /* (F22) MMC2_SDCD.GPIO0_71 */
+		>;
+	};
+
 	main_dss0_pins_default: main-dss0-pins-default {
 		pinctrl-single,pins = <
 			AM62AX_IOPAD(0x100, PIN_OUTPUT, 0) /* (V17) VOUT0_VSYNC */
@@ -397,6 +426,24 @@ AM62AX_IOPAD(0x1f8, PIN_INPUT_PULLUP, 0) /* (AC2) MMC0_DAT7 */
 		>;
 	};
 
+	main_mmc2_pins_default: main-mmc2-pins-default {
+		pinctrl-single,pins = <
+			AM62AX_IOPAD(0x120, PIN_INPUT, 0) /* (G22) MMC2_CMD */
+			AM62AX_IOPAD(0x118, PIN_INPUT, 0) /* (H22) MMC2_CLK */
+			AM62AX_IOPAD(0x114, PIN_INPUT, 0) /* (E20) MMC2_DAT0 */
+			AM62AX_IOPAD(0x110, PIN_INPUT, 0) /* (F21) MMC2_DAT1 */
+			AM62AX_IOPAD(0x10c, PIN_INPUT, 0) /* (F20) MMC2_DAT2 */
+			AM62AX_IOPAD(0x108, PIN_INPUT, 0) /* (G21) MMC2_DAT3 */
+			AM62AX_IOPAD(0x11c, PIN_INPUT, 0) /* (#N/A) MMC2_CLKB */
+		>;
+	};
+
+	main_wlirq_pins_default: main-wlirq-pins-default {
+		pinctrl-single,pins = <
+			AM62AX_IOPAD(0x128, PIN_INPUT, 7) /* (E21) MMC2_SDWP.GPIO0_72 */
+		>;
+	};
+
 	vddshv_sdio_pins_default: vddshv-sdio-pins-default {
 		pinctrl-single,pins = <
 			AM62AX_IOPAD(0x07c, PIN_OUTPUT, 7) /* (M19) GPMC0_CLK.GPIO0_31 */
@@ -659,6 +706,33 @@ &sdhci1 {
 	disable-wp;
 };
 
+&sdhci2 {
+	status = "okay";
+	vmmc-supply = <&wlan_en>;
+	pinctrl-names = "default";
+	pinctrl-0 = <&main_mmc2_pins_default>;
+	bus-width = <4>;
+	non-removable;
+	ti,fails-without-test-cd;
+	cap-power-off-card;
+	keep-power-in-suspend;
+	ti,driver-strength-ohm = <50>;
+	/*
+	assigned-clocks = <&k3_clks 157 158>;
+	assigned-clock-parents = <&k3_clks 157 160>;
+	*/
+	#address-cells = <1>;
+	#size-cells = <0>;
+	wlcore: wlcore@2 {
+		compatible = "ti,cc33xx";
+		reg = <2>;
+		pinctrl-names = "default";
+		pinctrl-0 = <&main_wlirq_pins_default>;
+		interrupt-parent = <&main_gpio0>;
+		interrupts = <72 IRQ_TYPE_EDGE_FALLING>;
+	};
+};
+
 &main_gpio0 {
 	status = "okay";
 };
